PTS_CHOWN(1)

NAME
pts_chown - Changes the owner of a Protection Database entry

SYNOPSIS
pts chown -name <group name> -owner <new owner>
    [-cell <cell name>] [-noauth] [-localauth] [-force] [-help]

pts cho -na <group name> -o <new owner>
    [-c <cell name>] [-no] [-l] [-f] [-h]

DESCRIPTION
The pts chown command designates the user or group named by the -owner argument as the owner of the group named by the -name argument, and records the new owner in the owner field of the group's Protection Database entry.

In the case of regular groups, this command automatically changes the group name's owner prefix (the part of the group name before the colon) to match the new owner. If the new owner is itself a group, then only its owner prefix, not its complete name, becomes the owner prefix in the new name. The change to the owner prefix does not propagate to any groups owned by the group, however. To make the owner prefix of such group-owned groups reflect the new owning group, use the pts rename command.

It is not possible to change a user or machine entry's owner from the default set at creation time, the system:administrators group.

CAUTIONS
While designating a machine as a group's owner does not cause an error, it is not recommended. The Protection Server does not extend the usual privileges of group ownership to users logged onto the machine.

OPTIONS

-name <group name>
    Specifies the current name of the group to which to assign a new owner.

-owner <new owner>
    Names the user or group to become the group's owner.

-cell <cell name>
    Names the cell in which to run the command. For more details, see pts(1).

-noauth
    Assigns the unprivileged identity anonymous to the issuer. For more details, see pts(1).

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. Do not combine this flag with the -cell or -noauth options. For more details, see pts(1).

-force
    Enables the command to continue executing as far as possible when errors or other problems occur, rather than halting execution at the first error.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following example changes the owner of the group "terry:friends" from the user "terry" to the user "pat". A side effect is that the group name changes to "pat:friends".

   % pts chown -name terry:friends -owner pat

The following example changes the owner of the group "terry:friends" from the user "terry" to the group "pat:buddies". A side effect is that the group name changes to "pat:friends".

   % pts chown -name terry:friends -owner pat:buddies

PRIVILEGE REQUIRED
The issuer must belong to the system:administrators group or currently own the group.

SEE ALSO
pts(1), pts_rename(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.